import java.awt.*;
import java.applet.*;
import java.io.*;
import quadbase.util.*;
import quadbase.ChartAPI.*;

public class StackAreaChart extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

try {

StackAreaChart doChart = new StackAreaChart();
Frame frame = new Frame();
frame.setLayout(new BorderLayout());
frame.add("Center", doChart.doDataFromArguments(null));
frame.setSize(500, 500);
frame.setVisible(true);

} catch (Exception ex) {

ex.printStackTrace();

}

}

public void init() {

setLayout(new BorderLayout());
add("Center", doDataFromArguments(this));
}

 
Component doDataFromArguments(Applet applet)  {

// Do not connect to EspressManager
QbChart.setEspressManagerUsed(false);

ColInfo colInfo = new ColInfo();
colInfo.category = 0;
colInfo.value = 2;
colInfo.subvalue = 3;
colInfo.sumBy = 1;

String dataType[] = {"varchar", "varchar", "integer", "double"};
String fieldName[] = {"Day", "Drink", "Total","Average"};
String records[][] = {{"Monday", "Water", "101","5.4"}, {"Monday", "Coffee", "85","2.4"},
		      {"Tuesday", "Water", "143","6.7"}, {"Tuesday", "Coffee", "92","2.5"},
		      {"Wednesday", "Water", "186","7.6"}, {"Wednesday", "Coffee", "121","4.2"},
		      {"Thursday", "Water", "173","6.3"}, {"Thursday", "Coffee", "75","1.1"},
		      {"Friday", "Water", "88","3.6"}, {"Friday", "Coffee", "193","5.9"},
		      {"Saturday", "Water", "152","7.3"}, {"Saturday", "Coffee", "57","1.6"},
		      {"Sunday", "Water", "194","8.8"}, {"Sunday", "Coffee", "25","0.6"}};

DbData data = new DbData(dataType, fieldName, records);
QbChart chart = new QbChart

(applet,                           // Applet
QbChart.VIEW2D,                    // Two-Dimensional
QbChart.STACKAREA,                 // Stack Area Chart
data,                              // Data
colInfo,                           // Column information
null);                             // No specified template

return chart;

}

}